
QGIS Application - Bug report #8305

Help viewer process running in the background with no help viewer (or even QGIS) open

2013-07-15 10:09 PM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17099

Description

Problem 1: If I right-click on a vector layer, click "Save as", and click help, qgis_help.exe starts in the background, but no help window is

displayed.

Problem 2: If I click help again, then the help viewer is displayed.  If I then close the help viewer, the qgis_help.exe process ends.  But if I

leave the help viewer open and close QGIS instead, the help viewer also closes (this might be OK, although I think it would be better if it

stayed open), but the qgis_help.exe process does not end.

This is on Windows XP

Associated revisions

Revision a43a287a - 2016-02-25 04:21 PM - Jürgen Fischer

don't close qgis_help when qgis closes (fixes #8305)

History

#1 - 2016-02-25 07:22 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"a43a287a7929ce8505e9a694a6ac685a45dc6854".

Problem 1 wasn't reproducable.  worksfor me.

Problem 2 was fixed by not terminating the help process - ie. leaving the window open, when QGIS terminates.
